Page MenuHomeVortex ITS

Charity rework
Closed, ResolvedPublicSUGGESTION

Description

Make charity depend on a base multiplier instead of how many players are online, current method gives token pickaxes a massive debuff at season end because lack of players, and it becomes almost impossible for new players to advanve

Details

Discord Subscribers
309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 273472232762638338 333316585693380618 428908416778371082 511330002953043976 736105227576410134

Event Timeline

VortexBot created this object with visibility "Public (No Login Required)".
VortexBot changed Discord Subscribers from 309863471111995392 to 309863471111995392 317915830421684225.Oct 19 2020, 3:26 AM
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 to 309863471111995392 317915830421684225 294947033591054336.Oct 19 2020, 5:21 AM
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680.Oct 19 2020, 7:33 AM
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 190736007962951680 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372.Oct 19 2020, 11:39 AM

It was already modified in S9 whereby it is far less dependent on players online. Currently the implementation weightage dependent on players is < 30%. Charity should still be fine

VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619.Oct 26 2020, 2:03 AM
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372.Oct 26 2020, 3:50 PM
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619.
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531.Nov 12 2020, 4:57 AM
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 273472232762638338.Dec 9 2020, 10:24 PM
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 273472232762638338 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 273472232762638338 333316585693380618.Dec 12 2020, 8:20 AM
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 273472232762638338 333316585693380618 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 273472232762638338 333316585693380618 428908416778371082.Dec 14 2020, 8:26 PM
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 273472232762638338 333316585693380618 428908416778371082 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 273472232762638338 333316585693380618 428908416778371082 511330002953043976.Dec 22 2020, 12:27 PM
Wolvien closed this task as Resolved.Dec 27 2020, 5:48 AM
Wolvien assigned this task to coolfire02.
Wolvien triaged this task as Normal priority.
VortexBot changed Discord Subscribers from 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 273472232762638338 333316585693380618 428908416778371082 511330002953043976 to 309863471111995392 317915830421684225 294947033591054336 190736007962951680 391285447705231372 736302123414847619 703573775274475531 273472232762638338 333316585693380618 428908416778371082 511330002953043976 736105227576410134.Jan 8 2021, 8:03 PM